- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Typedefs
KEYTypes_fwd.h File Reference
`#include <string>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/unordered_map.hpp>`

Go to the source code of this file.

## Namespaces
| libetonyek

## Typedefs
typedef std::string | libetonyek::ID_t
typedef boost::shared_ptr < KEYGeometry > | libetonyek::KEYGeometryPtr_t
typedef boost::shared_ptr < KEYLine > | libetonyek::KEYLinePtr_t
typedef boost::shared_ptr < KEYData > | libetonyek::KEYDataPtr_t
typedef boost::unordered_map < ID_t, KEYDataPtr_t > | libetonyek::KEYDataMap_t
typedef boost::shared_ptr < KEYMediaContent > | libetonyek::KEYMediaContentPtr_t
typedef boost::unordered_map < ID_t, KEYMediaContentPtr_t > | libetonyek::KEYMediaContentMap_t
typedef boost::shared_ptr < KEYImage > | libetonyek::KEYImagePtr_t
typedef boost::unordered_map < ID_t, KEYImagePtr_t > | libetonyek::KEYImageMap_t
typedef boost::shared_ptr < KEYMedia > | libetonyek::KEYMediaPtr_t
typedef boost::shared_ptr < KEYWrap > | libetonyek::KEYWrapPtr_t
typedef boost::shared_ptr < KEYGroup > | libetonyek::KEYGroupPtr_t
typedef boost::shared_ptr < KEYLayer > | libetonyek::KEYLayerPtr_t
typedef boost::unordered_map < ID_t, KEYLayerPtr_t > | libetonyek::KEYLayerMap_t
typedef boost::shared_ptr < KEYPlaceholder > | libetonyek::KEYPlaceholderPtr_t
typedef boost::unordered_map < ID_t, KEYPlaceholderPtr_t > | libetonyek::KEYPlaceholderMap_t